Doomsday Engine - Bug #1960

Crash when handling input events during busy mode
2015-02-05 15:59 - skyjake

Status: Closed Start date: 2015-02-05
Priority: Normal % Done: 100%
Assignee: skyjake

Category: Defect

Target version: 1.15

Description

G_EventSequenceResponder is erroneously being called during busy mode, even though the engine should not be offering any input
events to the game while running in busy mode.

Related issues:
Related to Bug #1954: Joining an MP game from a different game causes segfaul... Closed 2015-01-29

Associated revisions

Revision 415acbd1 - 2015-02-05 16:01 - skyjake

Fixed|Input|Bindings: Do not offer events to game during busy mode

This was causing a fatal error, which may actually look like a crash
during busy mode.

IssuelD #1960

History

#1 - 2015-02-05 15:59 - skyjake

- Related to Bug #1954: Joining an MP game from a different game causes segfault (after version conflict) added

#2 - 2015-02-05 18:33 - skyjake

- Status changed from Resolved to Closed
